#### Previous topic

scipy.linalg.solve_discrete_lyapunov

#### Next topic

scipy.linalg.block_diag

# scipy.linalg.solve_lyapunov

`scipy.linalg.``solve_lyapunov`(a, q)

  Solves the continuous Lyapunov equation \(AX + XA^H = Q\).

  Uses the Bartels-Stewart algorithm to find \(X\).

  Parameters:

  a : array_like

  > A square matrix

  q : array_like

  > Right-hand side square matrix

  Returns:

  x : array_like

  > Solution to the continuous Lyapunov equation

  See also

  `solve_sylvester`
    computes the solution to the Sylvester equation

  Notes

  Because the continuous Lyapunov equation is just a special form of the Sylvester equation, this solver relies entirely on solve_sylvester for a solution.

  New in version 0.11.0.